Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class EncryptedPOP

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.EncryptedPOP

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class EncryptedPOP
extends ASN1Object

id-cmc-encryptedPOP OBJECT IDENTIFIER ::= {id-cmc 9} EncryptedPOP ::= SEQUENCE { request TaggedRequest, cms ContentInfo, thePOPAlgID AlgorithmIdentifier, witnessAlgID AlgorithmIdentifier, witness OCTET STRING }

Constructor Summary
`EncryptedPOP(TaggedRequest request, ContentInfo cms, AlgorithmIdentifier thePOPAlgID, AlgorithmIdentifier witnessAlgID, byte[] witness)`

Method Summary
`ContentInfo` | `getCms()`
`static EncryptedPOP` | `getInstance(java.lang.Object o)`
`TaggedRequest` | `getRequest()`
`AlgorithmIdentifier` | `getThePOPAlgID()`
`byte[]` | `getWitness()`
`AlgorithmIdentifier` | `getWitnessAlgID()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedPOP

    public EncryptedPOP(TaggedRequest request,
                        ContentInfo cms,
                        AlgorithmIdentifier thePOPAlgID,
                        AlgorithmIdentifier witnessAlgID,
                        byte[] witness)

Method Detail

### getInstance

    public static EncryptedPOP getInstance(java.lang.Object o)

### getRequest

    public TaggedRequest getRequest()

### getCms

    public ContentInfo getCms()

### getThePOPAlgID

    public AlgorithmIdentifier getThePOPAlgID()

### getWitnessAlgID

    public AlgorithmIdentifier getWitnessAlgID()

### getWitness

    public byte[] getWitness()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD